Backend
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava.internal
Class Backend

    java.lang.Object
      org.postgresql.pljava.internal.Backend

    public class Backend

extends java.lang.Object

Provides access to some useful routines in the PostgreSQL server.

Field Summary
`static java.lang.Object` | `THREADLOCK` All native calls synchronize on this object.

Constructor Summary
`Backend()`

Method Summary
`static void` | `addClassImages(int jarId, java.lang.String urlString)`
`static void` | `clearFunctionCache()`
`static java.lang.String` | `getConfigOption(java.lang.String key)` Returns the configuration option as read from the Global Unified Config package (GUC).
`static Session` | `getSession()`
`static int` | `getStatementCacheSize()` Returns the size of the statement cache.
`static boolean` | `isCallingJava()` Returns `true` if the backend is awaiting a return from a call into the JVM.
`static boolean` | `isReleaseLingeringSavepoints()` Returns the value of the GUC custom variable `pljava.release_lingering_savepoints`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### THREADLOCK

    public static final java.lang.Object THREADLOCK

  All native calls synchronize on this object.

Constructor Detail

### Backend

    public Backend()

Method Detail

### getSession

    public static Session getSession()

### getConfigOption

    public static java.lang.String getConfigOption(java.lang.String key)

  Returns the configuration option as read from the Global Unified Config package (GUC).

  Parameters:
    `key` - The name of the option.
  Returns:
    The value of the option.

### getStatementCacheSize

    public static int getStatementCacheSize()

  Returns the size of the statement cache.

  Returns:
    the size of the statement cache.

### addClassImages

    public static void addClassImages(int jarId,
                                      java.lang.String urlString)
                               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### clearFunctionCache

    public static void clearFunctionCache()

### isCallingJava

    public static boolean isCallingJava()

  Returns `true` if the backend is awaiting a return from a call into the JVM. This method will only return `false` when called from a thread other then the main thread and the main thread has returned from the call into the JVM.

### isReleaseLingeringSavepoints

    public static boolean isReleaseLingeringSavepoints()

  Returns the value of the GUC custom variable `pljava.release_lingering_savepoints`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT